#include <BluetoothSerial.h>
#if !defined(CONFIG_BT_ENABLED) || !defined(CONFIG_BLUEDROID_ENABLED)
#error Bluetooth is not enabled! Please run `make menuconfig` to and enable it
#endif
BluetoothSerial SerialBT;
#include "defin.h"
#include "Wire.h"
#include "step_motor.h" // Обслуживание шаговых моторов
#include "fromsmart.h" // Обслуживание шаговых моторов

Adafruit_BNO055 bno = Adafruit_BNO055(55, 0x29);

void setup() {
  Serial.begin(115200);
  Serial.println();

  SerialBT.begin("BARSIK"); //Имя робота в BT

  if (!bno.begin())
  {
    /* There was a problem detecting the BNO055 ... check your connections */
    Serial.print("Ooops, no BNO055 detected ... Check your wiring or I2C ADDR!");
    while (1);
  }
  setup_motor_system();
  Serial.println("Do");
  motor_off();
  delay(1000);
  /* Display the current temperature */
  int8_t temp = bno.getTemp();
  Serial.print("Current Temperature: ");
  Serial.print(temp);
  Serial.println(" C");
  Serial.println("");

  bno.setExtCrystalUse(false); // Не используем внешний кварц
  //bno.setExtCrystalUse(true); // используем внешний кварц
  Serial.println("Calibration status values: 0=uncalibrated, 3=fully calibrated");
  t0 = micros() - 5000;
  t2 = micros();
  delay(1000);
  Axel_Gravity = bno.getVector(Adafruit_BNO055::VECTOR_GRAVITY);
  GyXsum0 = atan2(Axel_Gravity.y(), Axel_Gravity.z());
  GyXsum0  = 0;
  Speed = 0;
}

void loop()
{
    bno.getEvent(&event);
    Gyro = bno.getVector(Adafruit_BNO055::VECTOR_GYROSCOPE);
    Serial.println("============Euler =====================");
    Serial.print("event.orientation.x="); Serial.print(event.orientation.x);
    Serial.print("  event.orientation.y="); Serial.print(event.orientation.y);
    Serial.print("  event.orientation.z="); Serial.println(event.orientation.z);
    Serial.println("============ Gyro =====================");
    Serial.print("Gyro.x()="); Serial.print(Gyro.x());
    Serial.print("  Gyro.y()="); Serial.print(Gyro.y());
    Serial.print("  Gyro.z()="); Serial.println(Gyro.z());
  //  motor_on();
    SpeedL = 100;
    SpeedR = 100;
  //  SetSpeed();
    delay(300);
    return;
}
